<script src="./Script.js"></script>

<template>
  <div>
    <div
      v-if="isLoader"
      class="m-loader m-loader--brand m-loader--lg"
      style="width: 30px; height: 30px; display: inline-block;"
    ></div>
    <template v-else>
      <div style="margin-bottom: 2px;" v-if="customer">
        <label class="nt-label">
          <i class="icon icon-businessman" style="margin-right: 5px;"></i>&nbsp;Khách hàng:&nbsp;
        </label>
        <div
          class="m-dropdown m-dropdown--inline m-dropdown--arrow m-dropdown--align-left m-dropdown--align-push m--margin-right-5 m--margin-bottom-5"
          m-dropdown-toggle="click"
          aria-expanded="true"
        >
          <div
            style="display: flex; align-items: center;"
            v-if="helpers.getAttributeByAttrCodeAndVariableName(customer, 'full_name', 'attribute_value')"
          >
            <a
              href="#"
              class="m-portlet__nav-link m-dropdown__toggle"
              style="color: #B82E45;"
            >&nbsp;{{ helpers.getAttributeByAttrCodeAndVariableName(customer, 'full_name', 'attribute_value') }}</a>
            &nbsp;
            <span
              v-if="helpers.getAttributeContactName(detailDeal, 'contact_user', 'attribute_value', this.customerContacts)"
            >
              | Liên hệ:
              <template
                v-if="helpers.getAttributeContactName(detailDeal, 'contact_user', 'attribute_value', this.customerContacts) === 'Chưa cập nhật'"
              >
                <span
                  class="not-value"
                >{{ helpers.getAttributeContactName(detailDeal, 'contact_user', 'attribute_value', this.customerContacts) }}</span>
              </template>
              <template
                v-else
              >{{ helpers.getAttributeContactName(detailDeal, 'contact_user', 'attribute_value', this.customerContacts) }}</template>
            </span>
          </div>

          <div class="m-dropdown__wrapper">
            <span class="m-dropdown__arrow m-dropdown__arrow--left m-dropdown__arrow--adjust"></span>
            <div class="m-dropdown__inner">
              <div class="m-dropdown__body">
                <div class="m-dropdown__content">
                  <ul class="m-nav">
                    <li
                      class="m-nav__item"
                      style="pointer-events: none;"
                      v-if="helpers.getAttributeByAttrCodeAndVariableName(customer, 'sku', 'attribute_value')"
                    >
                      <a href="javascript:;" class="m-nav__link">
                        <i class="m-nav__link-icon la la-user"></i>
                        <span
                          class="m-nav__link-text"
                        >{{ helpers.getAttributeByAttrCodeAndVariableName(customer, 'sku', 'attribute_value') }}</span>
                      </a>
                    </li>
                    <li
                      class="m-nav__item"
                      style="pointer-events: none;"
                      v-if="helpers.getAttributeByAttrCodeAndVariableName(customer, 'phone', 'attribute_value')"
                    >
                      <a href="javascript:;" class="m-nav__link">
                        <i class="m-nav__link-icon icon icon-phone-call"></i>
                        <span
                          class="m-nav__link-text"
                        >{{ helpers.getAttributeByAttrCodeAndVariableName(customer, 'phone', 'attribute_value') | formatPhone }}</span>
                      </a>
                    </li>
                    <li
                      class="m-nav__item"
                      style="pointer-events: none;"
                      v-if="helpers.getAttributeByAttrCodeAndVariableName(customer, 'email', 'attribute_value')"
                    >
                      <a href="javascript:;" class="m-nav__link">
                        <i class="m-nav__link-icon icon icon-email"></i>
                        <span
                          class="m-nav__link-text"
                        >{{ helpers.getAttributeByAttrCodeAndVariableName(customer, 'email', 'attribute_value') }}</span>
                      </a>
                    </li>
                    <li
                      class="m-nav__item"
                      style="pointer-events: none;"
                      v-if="helpers.getAttributeByAttrCodeAndVariableName(customer, 'address', 'attribute_value')"
                    >
                      <a href="javascript:;" class="m-nav__link">
                        <i class="m-nav__link-icon la la-map-marker"></i>
                        <span
                          class="m-nav__link-text"
                        >{{ helpers.getAttributeByAttrCodeAndVariableName(customer, 'address', 'attribute_value') }}</span>
                      </a>
                    </li>
                    <li class="m-nav__item">
                      <a
                        class="m-link m-link--primary nt-link"
                        :href="getRouteLink('customerDetails', {customer_id: customer.id})"
                      >Xem chi tiết</a>

                      <!--<router-link class="m-link m-link&#45;&#45;primary nt-link" target="_blank"-->
                      <!--:to="{name : 'customerDetails', params : {team_id : currentTeam.team_id, customer_id : customer.id} }">-->
                      <!--Xem chi tiết&nbsp;<i class="la la-angle-right" style="font-size: 13px;"></i>-->
                      <!--</router-link>-->
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </template>
  </div>
</template>
